L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de libjpeg-turbo : lecture de mémoire hors plage prévue via get_rgb_row

Synthèse de la vulnérabilité 

Un attaquant peut forcer la lecture à une adresse invalide via get_rgb_row() de libjpeg-turbo, afin de mener un déni de service, ou d'obtenir des informations sensibles.
Produits vulnérables : Debian, Fedora, openSUSE Leap, Slackware, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Gravité de cette faille : 2/4.
Date de création : 10/06/2020.
Références de ce bulletin : CVE-2020-13790, DLA-2302-1, FEDORA-2020-86fa578c8d, openSUSE-SU-2020:1413-1, openSUSE-SU-2020:1458-1, SSA:2020-176-02, SUSE-SU-2020:2569-1, SUSE-SU-2020:2570-1, USN-4386-1, VIGILANCE-VUL-32508.

Description de la vulnérabilité 

Un attaquant peut forcer la lecture à une adresse invalide via get_rgb_row() de libjpeg-turbo, afin de mener un déni de service, ou d'obtenir des informations sensibles.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cet avis de vulnérabilité concerne les logiciels ou systèmes comme Debian, Fedora, openSUSE Leap, Slackware, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Notre équipe Vigil@nce a déterminé que la gravité de cette alerte de faille informatique est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de document.

Un attaquant avec un niveau de compétence expert peut exploiter cet avis cybersécurité.

Solutions pour cette menace 

Debian 9 : nouveaux paquetages libjpeg-turbo.
De nouveaux paquetages sont disponibles :
  Debian 9 : libjpeg-turbo 1:1.5.1-2+deb9u1

Fedora 32 : nouveaux paquetages mingw-libjpeg-turbo.
De nouveaux paquetages sont disponibles :
  Fedora 32 : mingw-libjpeg-turbo 2.0.4-3.fc32

openSUSE Leap 15.1 : nouveaux paquetages libjpeg-turbo.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.1 : libjpeg-turbo 1.5.3-lp151.6.6.1

openSUSE Leap 15.2 : nouveaux paquetages libjpeg-turbo.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.2 : libjpeg-turbo 1.5.3-lp152.8.3.1

Slackware : nouveaux paquetages libjpeg-turbo.
De nouveaux paquetages sont disponibles :
  Slackware 14.2 : libjpeg-turbo 2.0.5-*-1_slack14.2

SUSE LE 12 SP5 : nouveaux paquetages libjpeg-turbo.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP5 : libjpeg-turbo 1.5.3-31.22.2

SUSE LE 15 SP1-2 : nouveaux paquetages libjpeg-turbo.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP1 : libjpeg-turbo 1.5.3-5.15.7
  SUSE LE 15 SP2 : libjpeg-turbo 1.5.3-5.15.7

Ubuntu : nouveaux paquetages libjpeg-turbo.
De nouveaux paquetages sont disponibles :
  Ubuntu 20.04 LTS : libjpeg-turbo8 2.0.3-0ubuntu1.20.04.1
  Ubuntu 19.10 : libjpeg-turbo8 2.0.3-0ubuntu1.19.10.1
  Ubuntu 18.04 LTS : libjpeg-turbo8 1.5.2-0ubuntu5.18.04.4
  Ubuntu 16.04 LTS : libjpeg-turbo8 1.4.2-0ubuntu3.4
  Ubuntu 14.04 ESM : libjpeg-turbo8 1.3.0-0ubuntu2.1+esm1
  Ubuntu 12.04 ESM : libjpeg-turbo8 1.1.90+svn733-0ubuntu4.6
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit un patch cyber-sécurité. La cellule de veille technologique suit les menaces sécurité qui ciblent le parc informatique.